Package it.ernytech.tdlib

## Class TdApi.AnswerInlineQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AnswerInlineQuery

Enclosing class:
  TdApi

    public static class TdApi.AnswerInlineQuery
    extends TdApi.Function

Sets the result of an inline query; for bots only.

Returns `Ok`

### Field Summary

Fields
`int` `cacheTime` Allowed time to cache the results of the query, in seconds.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `inlineQueryId` Identifier of the inline query.
`boolean` `isPersonal` True, if the result of the query can be cached for the specified user.
`java.lang.String` `nextOffset` Offset for the next inline query; pass an empty string if there are no more results.
`TdApi.InputInlineQueryResult[]` `results` The results of the query.
`java.lang.String` `switchPmParameter` The parameter for the bot start message.
`java.lang.String` `switchPmText` If non-empty, this text should be shown on the button that opens a private chat with the bot and sends a start message to the bot with the parameter switchPmParameter.

### Constructor Summary

Constructors
`AnswerInlineQuery()` Default constructor.
`AnswerInlineQuery​(long inlineQueryId, boolean isPersonal, TdApi.InputInlineQueryResult[] results, int cacheTime, java.lang.String nextOffset, java.lang.String switchPmText, java.lang.String switchPmParameter)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### inlineQueryId

    public long inlineQueryId

Identifier of the inline query.

#### isPersonal

    public boolean isPersonal

True, if the result of the query can be cached for the specified user.

#### results

    public TdApi.InputInlineQueryResult[] results

The results of the query.

#### cacheTime

    public int cacheTime

Allowed time to cache the results of the query, in seconds.

#### nextOffset

    public java.lang.String nextOffset

Offset for the next inline query; pass an empty string if there are no more results.

#### switchPmText

    public java.lang.String switchPmText

If non-empty, this text should be shown on the button that opens a private chat with the bot and sends a start message to the bot with the parameter switchPmParameter.

#### switchPmParameter

    public java.lang.String switchPmParameter

The parameter for the bot start message.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AnswerInlineQuery

    public AnswerInlineQuery()

Default constructor.

#### AnswerInlineQuery

    public AnswerInlineQuery​(long inlineQueryId,
                             boolean isPersonal,
                             TdApi.InputInlineQueryResult[] results,
                             int cacheTime,
                             java.lang.String nextOffset,
                             java.lang.String switchPmText,
                             java.lang.String switchPmParameter)

Constructor for initialization of all fields.

Parameters:
  `inlineQueryId` - Identifier of the inline query.
  `isPersonal` - True, if the result of the query can be cached for the specified user.
  `results` - The results of the query.
  `cacheTime` - Allowed time to cache the results of the query, in seconds.
  `nextOffset` - Offset for the next inline query; pass an empty string if there are no more results.
  `switchPmText` - If non-empty, this text should be shown on the button that opens a private chat with the bot and sends a start message to the bot with the parameter switchPmParameter.
  `switchPmParameter` - The parameter for the bot start message.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR